MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0030344Open CASCADE[OCCT] OCCT:Codingpublic2018-11-06 15:482018-11-11 12:01
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformLinuxOSDebian 9OS Version64 bit
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0030344: Coding Rules - suppress GCC compiler warnings -Wstrict-overflow on Standard_OutOfRange_Raise_if
DescriptionGCC produces a lot (~ 140, but they are duplicated) of warnings when building OCCT or OCCT-based project with exceptions in headers using Standard_OutOfRange_Raise_if macros (No_Exception undefined) like this:
/src/NCollection/NCollection_Array1.hxx:379:5: warning: assuming signed overflow does not occur when 
assuming that (X + c) < X is always false [-Wstrict-overflow]
/src/NCollection/NCollection_Array2.hxx:221:5: warning: assuming signed overflow does not occur when 
assuming that (X + c) < X is always false [-Wstrict-overflow]
/src/NCollection/NCollection_BaseVector.hxx:203:22: warning: assuming signed overflow does not occur 
when assuming that (X - c) > X is always false [-Wstrict-overflow]
/src/math/math_Vector.hxx:247:5: warning: assuming signed overflow does not occur when assuming that 
(X + c) < X is always false [-Wstrict-overflow]


The warnings are generated by gcc 4.9, gcc 6.3 and gcc 7.3.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0029181feedbackkgv Jenkins Certification Tool - testing with enabled exceptions (undefined No_Exception) 

-  Notes
(0080765)
git (administrator)
2018-11-06 16:09

Branch CR30344 has been created by kgv.

SHA-1: bd8b96b8290113fd5ae6d54eb2db361577c13f58


Detailed log of new commits:

Author: kgv
Date: Tue Nov 6 16:07:21 2018 +0300

    0030344: Coding Rules - suppress GCC compiler warnings -Wstrict-overflow on Standard_OutOfRange_Raise_if
(0080794)
git (administrator)
2018-11-06 19:56

Branch CR30344 has been updated forcibly by kgv.

SHA-1: ceb25e8eeafdb81a2373f090fcf8258ce7d799d7
(0080797)
git (administrator)
2018-11-06 22:32

Branch CR30344 has been updated forcibly by kgv.

SHA-1: 42c7aac497aee92e41869b0868feb484e95069e7
(0080798)
kgv (developer)
2018-11-06 22:33
edited on: 2018-11-06 22:33

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR30344-master-KGV/view/OCCT%20compile/ [^]

(0080813)
abv (manager)
2018-11-07 12:19

No remarks, please integrate
(0081040)
git (administrator)
2018-11-11 12:01

Branch CR30344 has been deleted by inv.

SHA-1: 42c7aac497aee92e41869b0868feb484e95069e7

- Related Changesets
occt: master 8946be34
Timestamp: 2018-11-06 13:07:21
Author: kgv
Committer: bugmaster
Details ] Diff ]
0030344: Coding Rules - suppress GCC compiler warnings -Wstrict-overflow on Standard_OutOfRange_Raise_if and Standard_RangeError_Raise_if
mod - src/Standard/Standard_OutOfRange.hxx Diff ] File ]
mod - src/Standard/Standard_RangeError.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-11-06 15:48 kgv New Issue
2018-11-06 15:48 kgv Assigned To => kgv
2018-11-06 15:48 kgv Relationship added related to 0029181
2018-11-06 15:48 kgv Description Updated View Revisions
2018-11-06 15:49 kgv Description Updated View Revisions
2018-11-06 15:50 kgv Description Updated View Revisions
2018-11-06 15:52 kgv Description Updated View Revisions
2018-11-06 16:07 kgv Summary Coding Rules - eliminate GCC compiler warnings -Wstrict-overflow => Coding Rules - suppress GCC compiler warnings -Wstrict-overflow
2018-11-06 16:08 kgv Summary Coding Rules - suppress GCC compiler warnings -Wstrict-overflow => Coding Rules - suppress GCC compiler warnings -Wstrict-overflow on Standard_OutOfRange_Raise_if
2018-11-06 16:09 git Note Added: 0080765
2018-11-06 19:56 git Note Added: 0080794
2018-11-06 22:32 git Note Added: 0080797
2018-11-06 22:33 kgv Note Added: 0080798
2018-11-06 22:33 kgv Assigned To kgv => abv
2018-11-06 22:33 kgv Status new => resolved
2018-11-06 22:33 kgv Note Edited: 0080798 View Revisions
2018-11-07 12:19 abv Note Added: 0080813
2018-11-07 12:19 abv Assigned To abv => bugmaster
2018-11-07 12:19 abv Status resolved => reviewed
2018-11-07 12:41 bugmaster Status reviewed => tested
2018-11-07 13:01 kgv OS Ubuntu 18.04 => Debian 9
2018-11-07 13:01 kgv Description Updated View Revisions
2018-11-07 13:10 kgv Description Updated View Revisions
2018-11-09 15:43 bugmaster Test case number => Not needed
2018-11-11 11:52 bugmaster Changeset attached => occt master 8946be34
2018-11-11 11:52 bugmaster Status tested => verified
2018-11-11 11:52 bugmaster Resolution open => fixed
2018-11-11 12:01 git Note Added: 0081040


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker